Package org.drinkless.tdlib

# Class TdApi.ChatEventVideoChatParticipantIsMutedToggled

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatEventAction
org.drinkless.tdlib.TdApi.ChatEventVideoChatParticipantIsMutedToggled

Enclosing class:
  `TdApi`

public static class TdApi.ChatEventVideoChatParticipantIsMutedToggled extends TdApi.ChatEventAction
A video chat participant was muted or unmuted.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatEventAction

  `TdApi.ChatEventAction.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isMuted`
  New value of isMuted.
  `TdApi.MessageSender`
  `participantId`
  Identifier of the affected group call participant.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatEventVideoChatParticipantIsMutedToggled()`
  A video chat participant was muted or unmuted.
  `ChatEventVideoChatParticipantIsMutedToggled(TdApi.MessageSender participantId, boolean isMuted)`
  A video chat participant was muted or unmuted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### participantId

    public TdApi.MessageSender participantId
    Identifier of the affected group call participant.

  - ### isMuted

    public boolean isMuted
    New value of isMuted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatEventVideoChatParticipantIsMutedToggled

    public ChatEventVideoChatParticipantIsMutedToggled()
    A video chat participant was muted or unmuted.

  - ### ChatEventVideoChatParticipantIsMutedToggled

    public ChatEventVideoChatParticipantIsMutedToggled(TdApi.MessageSender participantId, boolean isMuted)
    A video chat participant was muted or unmuted.
    Parameters:
      `participantId` - Identifier of the affected group call participant.
      `isMuted` - New value of isMuted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatEventAction`
    Returns:
      this.CONSTRUCTOR